package com.doverfuelingsolutions.issp.driver.serialPort;

import com.doverfuelingsolutions.issp.driver.printer.PrintStatusListen;
import com.doverfuelingsolutions.issp.driver.scan.ScanValueListener;

public interface DataReceivedListener {
    void onDataReceived(byte[] data, ScanValueListener scanValueListener);

    void onDataReceived(byte[] data, PrintStatusListen printStatusListen);

    void onDataReceived(byte[] data);
}
